Export tax documents
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "S3_Presigned_Url",
"presignedUrl": "https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\n",
"fileType": "csv"
}
}{
"description": "<string>",
"meta": {}
}{
"description": "<string>",
"meta": {}
}Tax Estimates
Export tax documents
Generates tax documents for download. Returns a pre-signed S3 URL.
POST
/
v1
/
businesses
/
{businessId}
/
tax-estimates
/
export
Export tax documents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Query Parameters
The type of tax document to export. Type of tax document to export.
Available options:
TAX_PACKET, SCHEDULE_C, PAYMENT_HISTORY The tax year (e.g., 2025).
Response
Pre-signed URL for downloading the tax document.
A pre-signed URL to download a document.
Show child attributes
Show child attributes
⌘I